## org.eclipse.emf.cdo.defs
Interface CDOAuditDef

All Superinterfaces:
  CDOViewDef, org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOAuditDefImpl

    public interface CDOAuditDef

extends CDOViewDef

A representation of the model object 'CDO Audit Def'.

The following features are supported:

- `Time Stamp`

See Also:
  `CDODefsPackage.getCDOAuditDef()`

Method Summary
`java.util.Date` `getTimeStamp()` Returns the value of the 'Time Stamp' attribute.
`void` `setTimeStamp(java.util.Date value)` Sets the value of the '`Time Stamp`' attribute

Methods inherited from interface org.eclipse.emf.cdo.defs.CDOViewDef
`getCdoSessionDef, setCdoSessionDef`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTimeStamp

    java.util.Date getTimeStamp()

  Returns the value of the 'Time Stamp' attribute.

  If the meaning of the 'Time Stamp' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Time Stamp' attribute.
  See Also:
    `setTimeStamp(Date)`, `CDODefsPackage.getCDOAuditDef_TimeStamp()`

### setTimeStamp

    void setTimeStamp(java.util.Date value)

  Sets the value of the '`Time Stamp`' attribute.

  Parameters:
    `value` - the new value of the 'Time Stamp' attribute.
  See Also:
    `getTimeStamp()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.